html {
  height: 100%;
  box-sizing: border-box;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}
*{
	margin: 0;
	padding: 0;
}
body {
	margin: 0;
  min-height: 100%;
  padding-bottom: 4rem;
  position: relative;
}
body::-webkit-scrollbar {
	width: 0.5vw;
}

body::-webkit-scrollbar-thumb {
	background-color: #295B88;
	border-radius: 5px;
}

body::-webkit-scrollbar-track {
	box-shadow: inset 0 0 10px rgba(0, 0, 0, 0.5);
}
.bold{
	position:fixed; 
	top: 0.8vw;
	left: 44%;
	font-size: 3vw;
	font-family: Comfortaa;
	font-weight: 900;
	color: #ffffff;
	text-align: center;
}
.menu{
	background: rgb(8, 48, 74, 0.7);
	position: -webkit-sticky;
  	position: sticky;
  	top: 0;
  	z-index: 10;
	margin: 0 auto;
	width: 100%;
	display: flex;
	justify-content: space-between;
}
.flex1{
	display: flex;
}
.flex1 a{
	font-family: Comfortaa;
	font-weight: 500;
	text-decoration: none;
	color: #ffffff;
	font-size: 2vw;
	padding-top: 1vw;
	padding-bottom: 1vw;
	padding-left: 5vw;
	padding-right: 5vw;
}
.flex1 a:after {
  content: "";
  display: block;
  width: 0;
  padding-bottom: 5px;
  margin-left: 50%;
  border-bottom: 1px solid;
  transition: all 0.3s linear 0s;
}

.flex1 a:hover:after {
  width: 100%;
  margin-left: 0%;
}

.site_menu{
	display: flex;
	align-items: center;
	position: fixed;
	top: 10%;
	height: 37vw;
	width: 5vw;
	background: #123;
	left: -4.3vw;
	border-radius: 0vw 5vw 5vw 0vw;
	transition: 0.3s;
	z-index: 100;
}
.site_menu:hover{
	left: 0;
	transition: 0.3s;
	background: rgb(0, 0, 0, 0.1);
}
.twitter{
	border-radius: 50%;
	display: flex;
	justify-content: center;
	align-items: center;
	width: 4vw;
	margin-top: 1vw;
	margin-bottom: 1vw;
	height: 4vw;
	transition: 0.3s;
}
.twitter img{
	width: 4vw;
	height: 4vw;
}
.twitter_div:hover .twitter{
	transition: 0.3s;
	margin-left: 1vw;
}
.language{
	margin-top: 3vw;
}
.language a{
	margin-left: 0.7vw;
	font-size: 2vw;
	font-family: Comfortaa;
	font-weight: 900;
	text-decoration: none;
	color: #ffffff;
}
.language a:after {
  content: "";
  display: block;
  width: 0;
  padding-bottom: 5px;
  border-bottom: 1px solid;
  transition: all 0.3s linear 0s;
}

.language a:hover:after {
  width: 100%;
  margin-left: 0%;
}

.mahsulot_menu{
	display: flex;
	justify-content: space-between;
}
.mahsulot_menu img{
	right: 13vw;
	margin-top: -1%;
	width: 10vw;
	position: absolute;
}
.mahsulot_menu_p1{
	margin-top: 4vw;
	font-family: Comfortaa;
	font-size: 5vw;
	text-align: center;
	color: #ffffff;
	width: 100%;
}
.mahsulotlar_menu{
	margin-top: 10vw;
	display: flex;
	justify-content: center;
}
.mahsulotlar_div{
	margin-left: 2vw;
	margin-right: 2vw;
}
.mahsulotlar_div_cicle{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 8vw;
	height: 8vw;
	background: rgb(36, 52, 68);
	border-radius: 50%;
	box-shadow: 0px 0px 0.5vw #000000;
	transition: .5s;
}
.mahsulotlar_div_cicle.active{
    box-shadow: 0px 0px 3vw #ffffff;
}
.mahsulotlar_div_cicle img{
	width: 4vw;
}
.mahsulotlar_div_p{
	margin-top: 2vw;
	font-size: 2vw;
	font-family: Comfortaa;
	color: #ffffff;
	text-align: center;
}
#qatiq{
	width: 2vw;
}
.mahsulotlar_div_cicle:hover{
	transition: .5s;
	cursor: pointer;
	box-shadow: 0px 0px 3vw #ffffff;	
}
.display_flex{
	display: flex;
	justify-content: center;
	align-items: center;
}
.kokteyl_1_1{
	margin-top: 5vw;
	width: 100%;
	height: 85vw;
	display: grid;
	padding-left: 13vw;
	padding-right: 13vw;
  	grid-row-gap: 2vw;
  	grid-column-gap: 2vw;
  	grid-template-columns: auto auto auto auto;
  	animation: fadeEffect 1s;
}
.grid-item {
	width: 100%;
	height: 100%;
}
.sayt{
	display: flex;
	justify-content: flex-end;
	align-items: center;
	position: absolute;
	right: 2vw;
	margin-top: -2vw;
}
.sayt img{
	width: 10vw;
	filter: brightness(0) invert(1);
}
.sayt_p1{
	font-family: Comfortaa;
	color: #08304a;
	font-size: 2vw;
	margin-right: 1vw;
}
.footer{
	z-index: -1;
	position: absolute;
    right: 0;
    bottom: 0;
    left: 0;
}
.circle_flex{
	display: flex;
	justify-content: center;
	margin-top: 5vw;
}
.circle_flex_circle{
	display: flex;
	justify-content: center;
	align-items: center;
	width: 13vw;
	height: 13vw;
	background-color: rgb(172,250,5);
	border-radius: 50%;
}
.circle_qatiq{
	width: 8vw;
	margin-top: -5vw;
}
.circle_ayron{
	width: 7vw;
	margin-top: -4vw;
}
.gram{
	color: white;
	font-size: 1.5vw;
	font-family: Comfortaa;
	margin-top: 2vw;
	text-align: center;
}
.nomi{
	color: #5fabf2;
	font-size: 1vw;
	font-family: Comfortaa;
	margin-top: 7vw;
	margin-left: 0.95vw;
}
.haqda{
	color: #ffffff;
	font-size: 1.2vw;
	font-family: Comfortaa;
	font-weight: 90vw;
	margin-left: 0.95vw;
	margin-top: 1vw;
}
.tarkibi{
	color: #5fabf2;
	font-size: 1vw;
	font-family: Comfortaa;
	margin-top: 1.5vw;
	margin-left: 0.95vw;
}
.face {
  transform-style: preserve-3d;
  backface-visibility: hidden;
  transition: 1s;
  position: absolute;
}

.grid-item {
  	perspective: 1000px;

}
.grid-item .flip {
  	background-color: rgba(36, 52, 68);
  	border-radius: 6px;
  	width: 17vw;
  	height: 26vw;
}
.grid-item .flop {
  	background: linear-gradient(to bottom, #283e55, #1c2427);
  	border-radius: 6px;
  	width: 17vw;
  	height: 26vw;
}
.grid-item .flip {
  	transform: rotatey(0deg);
}
.grid-item .flop {
  	transform: rotatey(-180deg);
}
.flop_circle{
	display: flex;
	justify-content: center;
	align-items: center;
	background: linear-gradient(to top, #283e55, #1c2427);
	width: 8vw;
	height: 8vw;
	border-radius: 50%;
	margin-left: 4.5vw;
	position: absolute;
	box-shadow: 0px 6px 6px #1c2427;
	transition-duration: 0.5s;
}
.flop_circle img{
	width: 3vw;
}
.flop_circle_img{
	display: flex;
	justify-content: center;
	align-items: center;
	background: linear-gradient(to top, #283e55, #1c2427);
	width: 8vw;
	height: 8vw;
	border-radius: 50%;
	margin-left: 4.5vw;
	position: absolute;
	box-shadow: 0px 6px 6px #1c2427;
	transition-duration: 0.5s;
}
.flop_circle_img img{
	width: 3.5vw;
}
.qaymoq_menu{
	width: 3.5vw;
}
.grid-item:hover .flip {
  	transform: rotatey(180deg);
}
.grid-item:hover .flop {
  	transform: rotatey(0deg);
}
.grid-item:hover .flop_circle{
	transition-delay: 0.5s;
	transition-duration: 0.5s;
	transition-timing-function: ease;
	margin-top: -3vw;
}
.grid-item:hover .flop_circle_img{
	transition-delay: 0.5s;
	transition-duration: 0.5s;
	transition-timing-function: ease;
	margin-top: -3vw;
}
#container {
  display: none;
  cursor: pointer;
  position: fixed;
  top: 3vw;
  right: 7vw;
  z-index: 11;
}

.bar1, .bar2, .bar3 {
  width: 32px;
  height: 6px;
  background-color: #fff;
  margin: 5px 0;
  transition: 0.4s;
  border-radius: 3px;
}

.change .bar1 {
  -webkit-transform: rotate(-45deg) translate(-9px, 6px);
  transform: rotate(-45deg) translate(-9px, 6px);
}

.change .bar2 {opacity: 0;}

.change .bar3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
}
.menu_bar_1{
	display: none;
	justify-content: center;
	transition: 0.5s;
	width: 40vw;
	height: 100%;
	top: 0;
	position: fixed;
	left: -100%;
	background: linear-gradient(to top, #283e55, #1c2427);
}
.change_1 .menu_bar_1{
	left: 0vw;
	transition: 0.5s;
}
.kompaniya_a1{
	margin-top: 5vw;
	text-decoration: none;
	color: #ffffff;
	font-size: 4vw;
	font-family: Comfortaa;
	display: block;
	transition: 0.5s;
}
.bizning_mahsulotla_p1{
	margin-top: 20vw;
	font-size: 5vw;
	color: #08304a;
	font-family: Comfortaa;
	text-align: center;
	display: none;
}
.bizning_mahsulotlar_res{
	display: none;
	justify-content: center;
}
.bizning_mahsulotlar_res_div{
	margin-top: 5vw;
	width: 80vw;
	height: 40vw;
	background: linear-gradient(to top, #283e55, #1c2427);
	border-radius: 2vw;
	display: flex;
	align-items: center;
	justify-content: space-around;
}
.bizning_mahsulotlar_res_div_circle{
	width: 30vw;
	height: 30vw;
	border-radius: 50%;
	background: linear-gradient(to bottom, #41d9eb, #1b7980);
	display: flex;
	justify-content: center;
	align-items: center;
}
.qatiq_menu_res{
	width: 9vw;
}
.bizning_mahsulotlar_res_div_p{
	margin-left: -5vw;
}
.sayt1{
	display: none;
	justify-content: flex-end;
	align-items: center;
	position: absolute;
	right: 2vw;
}
.sayt1 img{
	width: 10vw;
}
.no{
	margin: 0;
	padding: 0;
}

.yangiliklar{
	display: flex;
	align-items: flex-start;
	justify-content: space-between;
	width: 85%;
	color: white;
	margin: 2vw auto 0;
}
.yangiliklar_div1{
	box-sizing: border-box;
	padding: 2vw;
	background: #243444;
	width: 70%;
	border-radius: 1.5vw;
}
.yangiliklar_div2{
	box-sizing: border-box;
	padding: 2vw;
	background: #243444;
	border-radius: 1.5vw;
	display: flex;
	flex-direction: column;
	width: 28%;
}
.yangilik_img{
	width: 100%;
}
.yangilik_menu{
	text-decoration: none;
	color: white;
	font-weight: 300;
	font-size: 2vw;
	line-height: 5vw;
}
.yangilik_menu.yangilik_menu_active{
	font-weight: 700;
	position: relative;
}
.yangilik_menu_active:after{
	content: '';
	width: 90%;
	height: 0.01vw;
	position: absolute;
	bottom: 1.1vw;
	background: white;
	left: 0;
}
.yangilik_date{
	font-weight: bold;
	font-size: 1vw;
	margin-bottom: 1vw;
}
.yangilik_title{
	font-weight: bold;
	font-size: 2vw;
	margin-bottom: 1vw;
}
.yangilik_text{
	font-weight: 300;
	font-size: 1vw;
	margin:  1vw 0;
}
.yangilik_batafsil{
	color: white;
	text-decoration: none;
	margin: 2vw 0 1vw;
	padding-bottom: 1vw;
	display: block;
	border-bottom: 0.1vw solid #FFFFFF;
}

@media screen and (max-width: 540px){
	body{
		min-height: 100%;
		padding-bottom: 2rem;
		background: linear-gradient(to bottom, #41d9eb, #1b7980) fixed;
	}
	.menu{
		display: none;
	}
	.sayt{
		display: none;
	}
	.sayt1{
		display: flex;
	}
	.kokteyl_1_1{
		margin-top: 5vw;
		width: 100%;
		height: 600vw;
		display: grid;
		padding-left: 13vw;
		padding-right: 13vw;
  		grid-row-gap: 2vw;
  		grid-column-gap: 2vw;
  		grid-template-columns: auto;
  		animation: fadeEffect 1s;
	}
	.flop_circle{
		display: flex;
		justify-content: center;
		align-items: center;
		background: linear-gradient(to bottom, #41d9eb, #1b7980);
		width: 30vw;
		height: 30vw;
		border-radius: 50%;
		margin-left: 4.5vw;
		position: relative;
		box-shadow: 0px 6px 6px #1c2427;
		transition-duration: 0.5s;
	}
	.flop_circle img{
		width: 15vw;
	}
	.flop_circle_img{
		display: flex;
		justify-content: center;
		align-items: center;
		background: linear-gradient(to bottom, #41d9eb, #1b7980);
		width: 30vw;
		height: 30vw;
		border-radius: 50%;
		margin-left: 4.5vw;
		position: relative;
		box-shadow: 0px 6px 6px #1c2427;
		transition-duration: 0.5s;
	}
	.flop_circle_img img{
		width: 15vw;
	}
	.grid-item:hover .flop_circle{
		margin-top: 0;
	}
	.grid-item:hover .flop_circle_img{
		margin-top: 0;
	}
	.grid-item .flop {
		display: flex;
		align-items: center;
  		background: linear-gradient(to bottom, #283e55, #1c2427);
  		border-radius: 6px;
  		width: 75vw;
  		height: 40vw;
	}
	.grid-item .flop {
  		transform: rotatey(0deg);
	}
	.grid-item .flip {
		display: none;
	}
	.nomi{
		color: #5fabf2;
		font-size: 3vw;
		font-family: Comfortaa;
		margin-top: 2vw;
	}
	.haqda{
		color: #ffffff;
		font-size: 3vw;
		font-family: Comfortaa;
		font-weight: 90vw;
	}
	.tarkibi{
		color: #5fabf2;
		font-size: 3vw;
		font-family: Comfortaa;
		margin-top: 1.5vw;
	}
	.bizning_mahsulotlar_res{
		display: flex;
	}
	.bizning_mahsulotla_p1{
		display: block;
	}
	#container {
  		display: inline-block;
	}
	.menu_bar_1{
		display: flex;
	}
	.mahsulot_menu img{
		right: 46%;
		margin-top: -1%;
		width: 12vw;
		position: absolute;
	}
	.mahsulot_menu_p1{
		display: none;
	}
	/*.display_flex{
		display: none;
	}*/
	/*.mahsulotlar_div_p{
		font-size: 3vw;
	}*/
}
@keyframes fadeEffect {
    from {opacity: 0;}
    to {opacity: 1;}
}